> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Elencare autorizzazioni

> Elencare le autorizzazioni dell’account

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json GET /v1/public/accounts/{account_id}/auth/authorizations
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/authorizations:
    get:
      tags:
        - public-accounts
        - public-account-auth
      summary: Elencare le autorizzazioni dell’account
      description: Elenca le autorizzazioni nell’ambito dell’account.
      operationId: >-
        list_public_account_authorizations_v1_public_accounts__account_id__auth_authorizations_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: subject_type
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SubjectType'
              - type: 'null'
            title: Subject Type
        - in: query
          name: subject_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Subject Id
        - in: query
          name: grant_kind
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/GrantKind'
              - type: 'null'
            title: Grant Kind
        - in: query
          name: capability_key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Capability Key
        - in: query
          name: include_revoked
          required: false
          schema:
            default: false
            title: Include Revoked
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/code_api__routes__v1_private__auth__list_scopes__GrantResponse
                title: >-
                  Response List Public Account Authorizations V1 Public
                  Accounts  Account Id  Auth Authorizations Get
                type: array
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di convalida
      security:
        - PublicBearerAuth: []
components:
  schemas:
    SubjectType:
      description: Tipologie di soggetti autorizzativi.
      enum:
        - user
        - group
        - service_account
      title: SubjectType
      type: string
    GrantKind:
      description: Tipologie di concessione di autorizzazione.
      enum:
        - capability
        - account_owner
        - super_admin
      title: GrantKind
      type: string
    code_api__routes__v1_private__auth__list_scopes__GrantResponse:
      properties:
        capability_key:
          anyOf:
            - type: string
            - type: 'null'
          title: capacità chiave
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: creato alle
        grant_kind:
          title: concessione tipo
          type: string
        id:
          format: uuid
          title: ID
          type: string
        resource_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: risorsa ID
        resource_type:
          anyOf:
            - type: string
            - type: 'null'
          title: risorsa tipo
        revoked_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: revocato alle
        subject_id:
          title: soggetto ID
          type: string
        subject_type:
          title: soggetto tipo
          type: string
      required:
        - id
        - subject_type
        - subject_id
        - grant_kind
      title: GrantResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````